Уязвимость в системном вызове ABI в ядре Linux

Дата публикации:
28.01.2009
Дата изменения:
28.01.2009
Всего просмотров:
2167
Опасность:
Низкая
Наличие исправления:
Частично
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Локальная
Воздействие:
Отказ в обслуживании
Повышение привилегий
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Linux Kernel 2.6.x
Уязвимые версии: Linux Kernel версии до 2.6.27.12 и 2.6.28.1 на архитектурах s390 и PowerPC

Описание:
Уязвимость позволяет локальному пользователю вызвать отказ в обслуживании и повысить свои привилегии на системе.

Уязвимость существует из-за того, что ядро не проверяет корректность знака при обработке 32-битных параметров, передаваемых в 64-битный регистр из пространства пользователя. Локальный пользователь может передать системному вызову ABI специально сформированные данные и аварийно завершить работу системы или повысить свои привилегии. Уязвимости подвержены следующие 64-битные архитектуры:

  • S390
  • PowerPC
  • SPARC64
  • MIPS

URL производителя: kernel.org

Решение: Установите последнюю версию ядра 2.6.27.12 или 2.6.28.1 для архитектур s390 и PowerPC с сайта производителя.

Ссылки: https://bugzilla.redhat.com/show_bug.cgi?id=479969
http://marc.info/?l=linux-kernel&m=123155111608910&w=2

или введите имя

CAPTCHA